Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1295406 - python-xdot: Provide a Python 3 subpackage
Summary: python-xdot: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-xdot
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-01-04 11:36 UTC by Petr Viktorin (pviktori)
Modified: 2016-09-22 14:13 UTC (History)
3 users (show)

Fixed In Version: python-xdot-0.7-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 14:13:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Switch to Python 3 (deleted)
2016-09-08 13:43 UTC, Dominika Krejčí
no flags Details | Diff
Switch to Python 3 (deleted)
2016-09-09 08:51 UTC, Dominika Krejčí
no flags Details | Diff
Switch to Python 3 (deleted)
2016-09-21 14:12 UTC, Dominika Krejčí
no flags Details | Diff

Description Petr Viktorin (pviktori) 2016-01-04 11:36:08 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 14:13:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 09:02:10 UTC
Hello Dave,
Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is
available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Dominika Krejčí 2016-09-08 13:43:22 UTC
Created attachment 1199115 [details]
Switch to Python 3

Hello Dave,
there is a patch for update to the latest version and switch to Python 3. Could you please do the review and push it?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15543119

Comment 4 Dominika Krejčí 2016-09-09 08:51:26 UTC
Created attachment 1199338 [details]
Switch to Python 3

Updating the patch. There was an issue with Python 2 requirements.

Comment 5 Dominika Krejčí 2016-09-09 08:52:18 UTC
+ Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15554384

Comment 6 Lumír Balhar 2016-09-09 08:58:27 UTC
Hello.

This patch looks good to me. If maintainer has nothing against, we can push this change after a week.

Have a nice day.

Comment 7 Dave Malcolm 2016-09-09 14:00:16 UTC
(In reply to Dominika Krejčí from comment #4)
> Created attachment 1199338 [details]
> Switch to Python 3
> 
> Updating the patch. There was an issue with Python 2 requirements.

Thanks.

One nit: in the %changelog:
  "Add Python 3"
should presumably be
  "Switch from Python 2 to Python 3"
or similar.

Other than, looks good to me.  If you have push rights, feel free to commit with that fixed.  Otherwise, would you like co-maintainership?

Comment 8 Dominika Krejčí 2016-09-21 14:12:54 UTC
Created attachment 1203330 [details]
Switch to Python 3

Hi Dave,
there is a patch with fixed changelog.
I haven't got a push rights and I am not interested in co-maintainership. Thank you.

Comment 9 Dave Malcolm 2016-09-22 14:13:41 UTC
Thanks.

Patch pushed (having uploaded new sources); built into rawhide here:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=803590


Note You need to log in before you can comment on or make changes to this bug.